classification
Title: Command line help example is missing "--prompt" option
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cheryl.sabella, daftwullie, docs@python, vinay.sajip, xtreak
Priority: normal Keywords: patch

Created on 2018-11-24 10:11 by daftwullie, last changed 2019-02-22 11:56 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10711 merged python-dev, 2018-11-26 09:14
PR 11986 merged miss-islington, 2019-02-22 11:09
Messages (3)
msg330376 - (view) Author: HolgerFrey (daftwullie) * Date: 2018-11-24 10:11
In the documentation of the command line options of the "vent" module, the option "--prompt" is missing:
    
Current text:
> [...]
> 
> The command, if run with -h, will show the available options:
> 
> usage: venv [-h] [--system-site-packages] [--symlinks | --copies] [--clear]
>              [--upgrade] [--without-pip]
>              ENV_DIR [ENV_DIR ...]
> 
> [...]

The prompt option is also missing in the rest of the example output

output of python3 -m venv -h:
> python3 -m venv -h
> usage: venv [-h] [--system-site-packages] [--symlinks | --copies] [--clear]
>             [--upgrade] [--without-pip] [--prompt PROMPT]
>             ENV_DIR [ENV_DIR ...]
> [...]
msg330405 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-11-26 06:28
Thanks for the report. Would you like to propose a PR for this? I think this is an easy issue where the new help string for --help needs to be updated at https://github.com/python/cpython/blob/master/Doc/using/venv-create.inc
msg336296 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-22 11:56
Thank you @daftwullie for the report and for the PR!  And thank you, @xtreak for triaging and for the reminder.  :-)
History
Date User Action Args
2019-02-22 11:56:02cheryl.sabellasetstatus: open -> closed

versions: + Python 3.8
nosy: + cheryl.sabella

messages: + msg336296
resolution: fixed
stage: patch review -> resolved
2019-02-22 11:09:55miss-islingtonsetpull_requests: + pull_request12009
2018-11-26 09:14:21python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request9961
2018-11-26 06:28:43xtreaksetnosy: + vinay.sajip, xtreak
messages: + msg330405
2018-11-24 10:11:50daftwulliecreate